Debian Bug report logs - #614300
apt: "apt-get update" requests to insert DVDs listed in /etc/apt/sources.list

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Hilmar Preusse <hille42@web.de>

Date: Sun, 20 Feb 2011 21:57:05 UTC

Severity: important

Tags: patch

Found in version apt/0.8.10.3

Fixed in versions apt/0.8.13, apt/0.8.10.3+squeeze1

Done: Julian Andres Klode <jak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Sun, 20 Feb 2011 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 20 Feb 2011 21:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt: "apt-get update" requests to insert DVDs listed in /etc/apt/sources.list
Date: Sun, 20 Feb 2011 22:55:21 +0100
Package: apt
Version: 0.8.10.3
Severity: important

Hi,

recently I upgraded my system from Debian lenny to Debian squeeze. Since
then every "apt-get update" run requests me to insert all 8 DVDs listed in
sources.list. This is very annoying, it would be nice if this could be fixed
in a point release.

Many thanks,
  Hilmar
-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "false";
APT::Install-Suggests "0";
APT::Acquire "";
APT::Acquire::Translation "environment";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^firmware-linux.*";
APT::NeverAutoRemove:: "^linux-firmware$";
APT::NeverAutoRemove:: "^linux-image.*";
APT::NeverAutoRemove:: "^kfreebsd-image.*";
APT::NeverAutoRemove:: "^linux-restricted-modules.*";
APT::NeverAutoRemove:: "^linux-ubuntu-modules-.*";
APT::Never-MarkAuto-Sections "";
APT::Never-MarkAuto-Sections:: "metapackages";
APT::Never-MarkAuto-Sections:: "restricted/metapackages";
APT::Never-MarkAuto-Sections:: "universe/metapackages";
APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
APT::Never-MarkAuto-Sections:: "oldlibs";
APT::Never-MarkAuto-Sections:: "restricted/oldlibs";
APT::Never-MarkAuto-Sections:: "universe/oldlibs";
APT::Never-MarkAuto-Sections:: "multiverse/oldlibs";
APT::Cache-Limit "25000000";
APT::Clean-Installed "false";
APT::Authentication "";
APT::Authentication::TrustCDROM "true";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::mirrors "mirrors/";
Dir::State::extended_states "extended_states";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::netrc "auth.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Etc::preferencesparts "preferences.d";
Dir::Etc::trusted "trusted.gpg";
Dir::Etc::trustedparts "trusted.gpg.d";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Media "";
Dir::Media::MountPath "/media/apt";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
Dir::Log::History "history.log";
Dir::Ignore-Files-Silently "";
Dir::Ignore-Files-Silently:: "~$";
Dir::Ignore-Files-Silently:: "\.disabled$";
Dir::Ignore-Files-Silently:: "\.bak$";
Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
CommandLine "";
CommandLine::AsString "apt-config dump";

-- /etc/apt/preferences --

Package: mplayer
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: mplayer-doc
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libavcodec52
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libavformat52
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libpostproc51
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libswscale0
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libdrm-intel1
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libdrm-radeon1
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

Package: libdrm2
Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
Pin-Priority: 700

-- /etc/apt/sources.list --

# See sources.list(5) for more information, especialy
# Remember that you can only use http, ftp or file URIs
# CDROMs are managed through the apt-cdrom tool.
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-8 20110205-17:27]/ squeeze main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-7 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-6 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-5 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-4 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-3 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-2 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-1 20110205-17:27]/ squeeze contrib main
#deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-5 20090214-16:54]/ lenny contrib main
#deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-4 20090214-16:54]/ lenny contrib main
#deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-3 20090214-16:54]/ lenny contrib main
#deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-2 20090214-16:54]/ lenny contrib main
#deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-1 20090214-16:54]/ lenny contrib main
#deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-4 20090214-18:18]/ lenny contrib main
#deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-3 20090214-18:18]/ lenny contrib main
#deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-2 20090214-18:18]/ lenny contrib main
#deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-1 20090214-18:18]/ lenny contrib main
#deb cdrom:[Debian GNU/Linux 5.0.8 Update DVD 20110123: i386 DVD 1]/ lenny contrib main non-free
#deb-src cdrom:[Debian GNU/Linux 5.0.8 Update DVD 20110123: source DVD 1]/ lenny contrib main non-free

# Debian Mirror
deb http://ftp.de.debian.org/debian stable contrib non-free
deb-src http://ftp.de.debian.org/debian stable contrib non-free
deb http://security.debian.org stable/updates main contrib non-free
deb-src http://security.debian.org/debian-security stable/updates main contrib non-free

# Debian non-free
#deb cdrom:[Debian unofficial]/ etch contrib main non-free

# stuff from local repository
#deb file:///usr/local/src/debian/repository/ lenny main non-free
#deb-src file:///usr/local/src/debian/repository/ lenny main non-free

# opensteuer on Berlios
#deb ftp://ftp.berlios.de/pub/opensteuer woody main
#deb-src ftp://ftp.berlios.de/pub/opensteuer woody main

#deb http://ftp.de.debian.org/debian testing main contrib non-free
#deb-src http://ftp.de.debian.org/debian testing main contrib non-free
#deb http://ftp.de.debian.org/debian unstable main contrib non-free
#deb-src http://ftp.de.debian.org/debian unstable main contrib non-free

# Christian Marillat
deb http://ftp.uni-kl.de/debian-multimedia/ stable main non-free
deb-src http://ftp.uni-kl.de/debian-multimedia/ stable main non-free

# Debian volatile
#deb http://ftp.de.debian.org/debian-volatile stable/volatile main contrib non-free
#deb-src http://ftp.de.debian.org/debian-volatile stable/volatile main contrib non-free
#deb http://ftp.de.debian.org/debian-volatile stable-proposed-updates/volatile main contrib non-free
#deb-src http://ftp.de.debian.org/debian-volatile stable-proposed-updates/volatile main contrib non-free

# Debian Backports
#deb http://www.backports.org/debian squeeze-backports main contrib non-free
#deb-src http://www.backports.org/debian squeeze-backports main contrib non-free
#deb http://backports.debian.org/debian-backports squeeze-backports main contrib
#deb-src http://backports.debian.org/debian-backports squeeze-backports main contrib

-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt depends on:
ii  debian-archive-keyring  2010.08.28       GnuPG archive keys of the Debian a
ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc                       <none>     (no description available)
ii  aptitude                      0.6.3-3.2  terminal-based package manager (te
ii  bzip2                         1.0.5-6    high-quality block-sorting file co
ii  dpkg-dev                      1.15.8.10  Debian package development tools
pn  lzma                          <none>     (no description available)
ii  python-apt                    0.7.100.1  Python interface to libapt-pkg

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Wed, 09 Mar 2011 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Grieveson <dg135@torfree.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 09 Mar 2011 01:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 614300@bugs.debian.org (full text, mbox):

From: Mark Grieveson <dg135@torfree.net>
To: Debian Bug Tracking System <614300@bugs.debian.org>
Subject: /usr/bin/apt-get: same -- apt-get update requires all listed DVDs in sources.list to be rescanned
Date: Tue, 08 Mar 2011 19:40:02 -0500
Package: apt
Version: 0.8.10.3
Severity: normal
File: /usr/bin/apt-get

After upgrading to Squeeze from Lenny, "apt-get update" requires all listed DVDs (all eight of 'em) to be rescanned.

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "true";
APT::Install-Suggests "0";
APT::Acquire "";
APT::Acquire::Translation "environment";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^firmware-linux.*";
APT::NeverAutoRemove:: "^linux-firmware$";
APT::NeverAutoRemove:: "^linux-image.*";
APT::NeverAutoRemove:: "^kfreebsd-image.*";
APT::NeverAutoRemove:: "^linux-restricted-modules.*";
APT::NeverAutoRemove:: "^linux-ubuntu-modules-.*";
APT::Never-MarkAuto-Sections "";
APT::Never-MarkAuto-Sections:: "metapackages";
APT::Never-MarkAuto-Sections:: "restricted/metapackages";
APT::Never-MarkAuto-Sections:: "universe/metapackages";
APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
APT::Never-MarkAuto-Sections:: "oldlibs";
APT::Never-MarkAuto-Sections:: "restricted/oldlibs";
APT::Never-MarkAuto-Sections:: "universe/oldlibs";
APT::Never-MarkAuto-Sections:: "multiverse/oldlibs";
APT::Periodic "";
APT::Periodic::Update-Package-Lists "0";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Periodic::Unattended-Upgrade "0";
APT::Archives "";
APT::Archives::MaxAge "30";
APT::Archives::MinAge "2";
APT::Archives::MaxSize "500";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::mirrors "mirrors/";
Dir::State::extended_states "extended_states";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::netrc "auth.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Etc::preferencesparts "preferences.d";
Dir::Etc::trusted "trusted.gpg";
Dir::Etc::trustedparts "trusted.gpg.d";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Media "";
Dir::Media::MountPath "/media/apt";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
Dir::Log::History "history.log";
Dir::Ignore-Files-Silently "";
Dir::Ignore-Files-Silently:: "~$";
Dir::Ignore-Files-Silently:: "\.disabled$";
Dir::Ignore-Files-Silently:: "\.bak$";
Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
Unattended-Upgrade "";
Unattended-Upgrade::Allowed-Origins "";
Unattended-Upgrade::Allowed-Origins:: "${distro_id} stable";
Unattended-Upgrade::Allowed-Origins:: "${distro_id} ${distro_codename}-security";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "test -f /var/run/junior-config.usermenu && if [ -x /usr/sbin/cdd-update-usermenus ] ; then /usr/sbin/cdd-update-usermenus junior ; fi ; rm -f /var/run/junior-config.usermenu";
DPkg::Post-Invoke:: "if [ -d /var/lib/update-notifier ]; then  touch /var/lib/update-notifier/dpkg-run-stamp; fi";
Acquire "";
Acquire::cdrom "";
Acquire::cdrom::AutoDetect "false";
CommandLine "";
CommandLine::AsString "apt-config dump";

-- (no /etc/apt/preferences present) --


-- /etc/apt/sources.list --

# deb cdrom:[Debian GNU/Linux testing _Etch_ - Official Snapshot i386 Binary-1 (20060717)]/ etch contrib main

# the main Debian packages.

# deb http://debian.mirrors.tds.net/debian/ lenny main contrib
# deb http://ftp.uwsg.indiana.edu/linux/debian/ etch main
# deb http://http.us.debian.org/debian etch main contrib non-free
# deb http://ftp.uwsg.indiana.edu/linux/debian/ sarge contrib
# deb cdrom:[Debian GNU/Linux 5.0.5 Update DVD 20100627: i386 DVD 1]/ lenny contrib main non-free
# deb http://ftp.uwsg.indiana.edu/linux/debian/ squeeze main contrib non-free
# deb http://ftp.uwsg.indiana.edu/linux/debian/ lenny main contrib non-free
# deb http://debian.mirrors.tds.net/debian/ lenny main contrib non-free
# deb http://debian.yorku.ca/debian/ lenny main contrib non-free

deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-2 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-7 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-5 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-6 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-4 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-3 20110205-17:27]/ squeeze contrib main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-8 20110205-17:27]/ squeeze main
deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-1 20110205-17:27]/ squeeze contrib main
# deb http://http.us.debian.org/debian/ squeeze main contrib non-free
# deb http://debian.yorku.ca/debian/ sid main contrib non-free
# deb http://debian.yorku.ca/debian/ sid main

# Uncomment the deb-src line if you want 'apt-get source'
# to work with most packages.
# regular Etch source:
# deb-src http://debian.yorku.ca/debian/ etch main
# deb-src http://debian.mirrors.tds.net/debian/ lenny main contrib non-free
# deb-src http://ftp.uwsg.indiana.edu/linux/debian/ etch main contrib non-free
# deb-src http://http.us.debian.org/debian etch main contrib non-free
# deb-src http://debian.yorku.ca/debian/ unstable main contrib non-free
# deb-src http://debian.yorku.ca/debian/ stable main contrib non-free
# deb-src http://ftp.de.debian.org/debian/ sid main contrib non-free

# uncommenting the following line will enable security updates
# deb http://security.debian.org/ etch/updates main contrib non-free
# deb http://security.debian.org/ squeeze/updates main contrib non-free

# multimedia
# deb http://www.debian-multimedia.org lenny main non-free
deb ftp://mirror.csclub.uwaterloo.ca/debian-multimedia/ squeeze main non-free
# deb ftp://mirror.csclub.uwaterloo.ca/debian-multimedia/ sid main non-free
# deb-src ftp://mirror.csclub.uwaterloo.ca/debian-multimedia/ squeeze main

# cinelerra video editing
deb http://www.kiberpipa.org/~minmax/cinelerra/builds/sid/ ./
# deb-src http://www.kiberpipa.org/~minmax/cinelerra/builds/sid/ ./


# opera
# deb http://deb.opera.com/opera/ lenny non-free

# tovid
deb http://tovid.sourceforge.net/download/debian stable contrib
# deb-src http://tovid.sourceforge.net/download/debian stable contrib

# Official site for latest version of skype.
# deb http://download.skype.com/linux/repos/debian/ stable non-free

# Quake2
# deb ftp://www.markus-raab.org/apps ./

# ion3 backports does not seem to exist anymore
# deb http://intrigeri.boum.org/debian/sonata etch main contrib non-free
# deb http://intrigeri.boum.org/debian/ion3 etch main contrib non-free

# backports
# deb http://www.backports.org/debian lenny-backports main contrib non-free
# deb http://mirror.csclub.uwaterloo.ca/debian-backports lenny-backports main contrib non-free

# debian unofficial
# deb http://unofficial.debian-maintainers.org/ lenny/backports main contrib non-free restricted
# deb-src http://unofficial.debian-maintainers.org/ lenny/backports main contrib non-free restricted

# gcompris repository
# deb http://thomas.pub.enix.org/debian/ stable main

# Google software repository
# deb http://dl.google.com/linux/deb/ stable non-free

# latest clamav clamav-daemon and avscan for squeeze
deb http://mirrors.kernel.org/debian squeeze-updates main contrib
# deb-src http://mirrors.kernel.org/debian squeeze-updates main contrib

# Samsung Unified Linux Driver
# deb http://www.bchemnet.com/suldr/ debian extra

# Freemind
deb http://eric.lavar.de/comp/linux/debian/ unstable/
# deb-src http://eric.lavar.de/comp/linux/debian/ unstable/

# xmms
# deb http://www.pvv.ntnu.no/~knuta/xmms/lenny ./
# deb-src http://www.pvv.ntnu.no/~knuta/xmms/lenny ./

### Hag GNU/Linux Repository - Hag related packages
# deb http://hag-linux.eu.org/deb/ hag main contrib non-free
# deb-src http://hag-linux.eu.org/deb/ hag main contrib non-free

# Lenny and a Half, for newer drivers
# deb ftp://ftp.debian.org/debian lenny-proposed-updates main
# deb http://debian.yorku.ca/debian/ lenny-proposed-updates main contrib non-free

# test for woody
# deb http://archive.debian.org/debian etch main

# experimental
# deb http://ftp.debian.org/debian experimental main

# for rox desktop
# deb ftp://ftp.berlios.de/pub/rox4debian binary/















-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt depends on:
ii  debian-archive-keyring  2010.08.28       GnuPG archive keys of the Debian a
ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc                     <none>       (no description available)
ii  aptitude                    0.6.3-3.2    terminal-based package manager (te
ii  bzip2                       1.0.5-6      high-quality block-sorting file co
ii  dpkg-dev                    1.15.8.10    Debian package development tools
ii  lzma                        4.43-14      Compression method of 7z format in
ii  python-apt                  0.7.100.1    Python interface to libapt-pkg
ii  synaptic                    0.70~pre1+b1 Graphical package manager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Fri, 11 Mar 2011 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 11 Mar 2011 10:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 614300@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Hilmar Preusse <hille42@web.de>, 614300@bugs.debian.org
Subject: Re: Bug#614300: apt: "apt-get update" requests to insert DVDs listed in /etc/apt/sources.list
Date: Fri, 11 Mar 2011 11:52:02 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 20, 2011 at 10:55:21PM +0100, Hilmar Preusse wrote:
> Package: apt
> Version: 0.8.10.3
> Severity: important

Thanks for your bugreport.
 
> recently I upgraded my system from Debian lenny to Debian squeeze. Since
> then every "apt-get update" run requests me to insert all 8 DVDs listed in
> sources.list. This is very annoying, it would be nice if this could be fixed
> in a point release.

Could you please try the attached patch? That should fix the problem. 

Cheers,
 Michael
 
> Many thanks,
>   Hilmar
> -- Package-specific info:
> 
> -- apt-config dump --
> 
> APT "";
> APT::Architecture "i386";
> APT::Build-Essential "";
> APT::Build-Essential:: "build-essential";
> APT::Install-Recommends "false";
> APT::Install-Suggests "0";
> APT::Acquire "";
> APT::Acquire::Translation "environment";
> APT::NeverAutoRemove "";
> APT::NeverAutoRemove:: "^firmware-linux.*";
> APT::NeverAutoRemove:: "^linux-firmware$";
> APT::NeverAutoRemove:: "^linux-image.*";
> APT::NeverAutoRemove:: "^kfreebsd-image.*";
> APT::NeverAutoRemove:: "^linux-restricted-modules.*";
> APT::NeverAutoRemove:: "^linux-ubuntu-modules-.*";
> APT::Never-MarkAuto-Sections "";
> APT::Never-MarkAuto-Sections:: "metapackages";
> APT::Never-MarkAuto-Sections:: "restricted/metapackages";
> APT::Never-MarkAuto-Sections:: "universe/metapackages";
> APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
> APT::Never-MarkAuto-Sections:: "oldlibs";
> APT::Never-MarkAuto-Sections:: "restricted/oldlibs";
> APT::Never-MarkAuto-Sections:: "universe/oldlibs";
> APT::Never-MarkAuto-Sections:: "multiverse/oldlibs";
> APT::Cache-Limit "25000000";
> APT::Clean-Installed "false";
> APT::Authentication "";
> APT::Authentication::TrustCDROM "true";
> Dir "/";
> Dir::State "var/lib/apt/";
> Dir::State::lists "lists/";
> Dir::State::cdroms "cdroms.list";
> Dir::State::mirrors "mirrors/";
> Dir::State::extended_states "extended_states";
> Dir::State::status "/var/lib/dpkg/status";
> Dir::Cache "var/cache/apt/";
> Dir::Cache::archives "archives/";
> Dir::Cache::srcpkgcache "srcpkgcache.bin";
> Dir::Cache::pkgcache "pkgcache.bin";
> Dir::Etc "etc/apt/";
> Dir::Etc::sourcelist "sources.list";
> Dir::Etc::sourceparts "sources.list.d";
> Dir::Etc::vendorlist "vendors.list";
> Dir::Etc::vendorparts "vendors.list.d";
> Dir::Etc::main "apt.conf";
> Dir::Etc::netrc "auth.conf";
> Dir::Etc::parts "apt.conf.d";
> Dir::Etc::preferences "preferences";
> Dir::Etc::preferencesparts "preferences.d";
> Dir::Etc::trusted "trusted.gpg";
> Dir::Etc::trustedparts "trusted.gpg.d";
> Dir::Bin "";
> Dir::Bin::methods "/usr/lib/apt/methods";
> Dir::Bin::dpkg "/usr/bin/dpkg";
> Dir::Media "";
> Dir::Media::MountPath "/media/apt";
> Dir::Log "var/log/apt";
> Dir::Log::Terminal "term.log";
> Dir::Log::History "history.log";
> Dir::Ignore-Files-Silently "";
> Dir::Ignore-Files-Silently:: "~$";
> Dir::Ignore-Files-Silently:: "\.disabled$";
> Dir::Ignore-Files-Silently:: "\.bak$";
> Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
> DPkg "";
> DPkg::Pre-Install-Pkgs "";
> DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
> DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
> DPkg::Tools "";
> DPkg::Tools::Options "";
> DPkg::Tools::Options::/usr/bin/apt-listchanges "";
> DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
> CommandLine "";
> CommandLine::AsString "apt-config dump";
> 
> -- /etc/apt/preferences --
> 
> Package: mplayer
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: mplayer-doc
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libavcodec52
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libavformat52
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libpostproc51
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libswscale0
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libdrm-intel1
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libdrm-radeon1
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> Package: libdrm2
> Pin: release v=6.0,o=Debian,a=stable,n=squeeze,l=Debian,c=main
> Pin-Priority: 700
> 
> -- /etc/apt/sources.list --
> 
> # See sources.list(5) for more information, especialy
> # Remember that you can only use http, ftp or file URIs
> # CDROMs are managed through the apt-cdrom tool.
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-8 20110205-17:27]/ squeeze main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-7 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-6 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-5 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-4 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-3 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-2 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-1 20110205-17:27]/ squeeze contrib main
> #deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-5 20090214-16:54]/ lenny contrib main
> #deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-4 20090214-16:54]/ lenny contrib main
> #deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-3 20090214-16:54]/ lenny contrib main
> #deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-2 20090214-16:54]/ lenny contrib main
> #deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 DVD Binary-1 20090214-16:54]/ lenny contrib main
> #deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-4 20090214-18:18]/ lenny contrib main
> #deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-3 20090214-18:18]/ lenny contrib main
> #deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-2 20090214-18:18]/ lenny contrib main
> #deb-src cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official DVD Source-1 20090214-18:18]/ lenny contrib main
> #deb cdrom:[Debian GNU/Linux 5.0.8 Update DVD 20110123: i386 DVD 1]/ lenny contrib main non-free
> #deb-src cdrom:[Debian GNU/Linux 5.0.8 Update DVD 20110123: source DVD 1]/ lenny contrib main non-free
> 
> # Debian Mirror
> deb http://ftp.de.debian.org/debian stable contrib non-free
> deb-src http://ftp.de.debian.org/debian stable contrib non-free
> deb http://security.debian.org stable/updates main contrib non-free
> deb-src http://security.debian.org/debian-security stable/updates main contrib non-free
> 
> # Debian non-free
> #deb cdrom:[Debian unofficial]/ etch contrib main non-free
> 
> # stuff from local repository
> #deb file:///usr/local/src/debian/repository/ lenny main non-free
> #deb-src file:///usr/local/src/debian/repository/ lenny main non-free
> 
> # opensteuer on Berlios
> #deb ftp://ftp.berlios.de/pub/opensteuer woody main
> #deb-src ftp://ftp.berlios.de/pub/opensteuer woody main
> 
> #deb http://ftp.de.debian.org/debian testing main contrib non-free
> #deb-src http://ftp.de.debian.org/debian testing main contrib non-free
> #deb http://ftp.de.debian.org/debian unstable main contrib non-free
> #deb-src http://ftp.de.debian.org/debian unstable main contrib non-free
> 
> # Christian Marillat
> deb http://ftp.uni-kl.de/debian-multimedia/ stable main non-free
> deb-src http://ftp.uni-kl.de/debian-multimedia/ stable main non-free
> 
> # Debian volatile
> #deb http://ftp.de.debian.org/debian-volatile stable/volatile main contrib non-free
> #deb-src http://ftp.de.debian.org/debian-volatile stable/volatile main contrib non-free
> #deb http://ftp.de.debian.org/debian-volatile stable-proposed-updates/volatile main contrib non-free
> #deb-src http://ftp.de.debian.org/debian-volatile stable-proposed-updates/volatile main contrib non-free
> 
> # Debian Backports
> #deb http://www.backports.org/debian squeeze-backports main contrib non-free
> #deb-src http://www.backports.org/debian squeeze-backports main contrib non-free
> #deb http://backports.debian.org/debian-backports squeeze-backports main contrib
> #deb-src http://backports.debian.org/debian-backports squeeze-backports main contrib
> 
> -- System Information:
> Debian Release: 6.0
>   APT prefers stable
>   APT policy: (500, 'stable')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages apt depends on:
> ii  debian-archive-keyring  2010.08.28       GnuPG archive keys of the Debian a
> ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
> ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
> ii  libgcc1                 1:4.4.5-8        GCC support library
> ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
> ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime
> 
> apt recommends no packages.
> 
> Versions of packages apt suggests:
> pn  apt-doc                       <none>     (no description available)
> ii  aptitude                      0.6.3-3.2  terminal-based package manager (te
> ii  bzip2                         1.0.5-6    high-quality block-sorting file co
> ii  dpkg-dev                      1.15.8.10  Debian package development tools
> pn  lzma                          <none>     (no description available)
> ii  python-apt                    0.7.100.1  Python interface to libapt-pkg
> 
> -- no debconf information
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to deity-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20110220215521.17008.99281.reportbug@drachi.dresden.de
> 
[apt-cdrom-fix.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Fri, 11 Mar 2011 10:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 11 Mar 2011 10:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 614300@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Mark Grieveson <dg135@torfree.net>, 614300@bugs.debian.org
Subject: Re: Bug#614300: /usr/bin/apt-get: same -- apt-get update requires all listed DVDs in sources.list to be rescanned
Date: Fri, 11 Mar 2011 11:54:57 +0100
On Tue, Mar 08, 2011 at 07:40:02PM -0500, Mark Grieveson wrote:
> Package: apt
> Version: 0.8.10.3
> Severity: normal
> File: /usr/bin/apt-get

Thanks for your bugreport.
 
> After upgrading to Squeeze from Lenny, "apt-get update" requires all listed DVDs (all eight of 'em) to be rescanned.

This was reported in Bug #614300 as well, I attached a patch there
that should fix the issue. If you could give it a go, that would be
much appricated.

Cheers,
 Michael

 
> -- Package-specific info:
> 
> -- apt-config dump --
> 
> APT "";
> APT::Architecture "i386";
> APT::Build-Essential "";
> APT::Build-Essential:: "build-essential";
> APT::Install-Recommends "true";
> APT::Install-Suggests "0";
> APT::Acquire "";
> APT::Acquire::Translation "environment";
> APT::NeverAutoRemove "";
> APT::NeverAutoRemove:: "^firmware-linux.*";
> APT::NeverAutoRemove:: "^linux-firmware$";
> APT::NeverAutoRemove:: "^linux-image.*";
> APT::NeverAutoRemove:: "^kfreebsd-image.*";
> APT::NeverAutoRemove:: "^linux-restricted-modules.*";
> APT::NeverAutoRemove:: "^linux-ubuntu-modules-.*";
> APT::Never-MarkAuto-Sections "";
> APT::Never-MarkAuto-Sections:: "metapackages";
> APT::Never-MarkAuto-Sections:: "restricted/metapackages";
> APT::Never-MarkAuto-Sections:: "universe/metapackages";
> APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
> APT::Never-MarkAuto-Sections:: "oldlibs";
> APT::Never-MarkAuto-Sections:: "restricted/oldlibs";
> APT::Never-MarkAuto-Sections:: "universe/oldlibs";
> APT::Never-MarkAuto-Sections:: "multiverse/oldlibs";
> APT::Periodic "";
> APT::Periodic::Update-Package-Lists "0";
> APT::Periodic::Download-Upgradeable-Packages "0";
> APT::Periodic::Unattended-Upgrade "0";
> APT::Archives "";
> APT::Archives::MaxAge "30";
> APT::Archives::MinAge "2";
> APT::Archives::MaxSize "500";
> Dir "/";
> Dir::State "var/lib/apt/";
> Dir::State::lists "lists/";
> Dir::State::cdroms "cdroms.list";
> Dir::State::mirrors "mirrors/";
> Dir::State::extended_states "extended_states";
> Dir::State::status "/var/lib/dpkg/status";
> Dir::Cache "var/cache/apt/";
> Dir::Cache::archives "archives/";
> Dir::Cache::srcpkgcache "srcpkgcache.bin";
> Dir::Cache::pkgcache "pkgcache.bin";
> Dir::Etc "etc/apt/";
> Dir::Etc::sourcelist "sources.list";
> Dir::Etc::sourceparts "sources.list.d";
> Dir::Etc::vendorlist "vendors.list";
> Dir::Etc::vendorparts "vendors.list.d";
> Dir::Etc::main "apt.conf";
> Dir::Etc::netrc "auth.conf";
> Dir::Etc::parts "apt.conf.d";
> Dir::Etc::preferences "preferences";
> Dir::Etc::preferencesparts "preferences.d";
> Dir::Etc::trusted "trusted.gpg";
> Dir::Etc::trustedparts "trusted.gpg.d";
> Dir::Bin "";
> Dir::Bin::methods "/usr/lib/apt/methods";
> Dir::Bin::dpkg "/usr/bin/dpkg";
> Dir::Media "";
> Dir::Media::MountPath "/media/apt";
> Dir::Log "var/log/apt";
> Dir::Log::Terminal "term.log";
> Dir::Log::History "history.log";
> Dir::Ignore-Files-Silently "";
> Dir::Ignore-Files-Silently:: "~$";
> Dir::Ignore-Files-Silently:: "\.disabled$";
> Dir::Ignore-Files-Silently:: "\.bak$";
> Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
> Unattended-Upgrade "";
> Unattended-Upgrade::Allowed-Origins "";
> Unattended-Upgrade::Allowed-Origins:: "${distro_id} stable";
> Unattended-Upgrade::Allowed-Origins:: "${distro_id} ${distro_codename}-security";
> DPkg "";
> DPkg::Pre-Install-Pkgs "";
> DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
> DPkg::Post-Invoke "";
> DPkg::Post-Invoke:: "test -f /var/run/junior-config.usermenu && if [ -x /usr/sbin/cdd-update-usermenus ] ; then /usr/sbin/cdd-update-usermenus junior ; fi ; rm -f /var/run/junior-config.usermenu";
> DPkg::Post-Invoke:: "if [ -d /var/lib/update-notifier ]; then  touch /var/lib/update-notifier/dpkg-run-stamp; fi";
> Acquire "";
> Acquire::cdrom "";
> Acquire::cdrom::AutoDetect "false";
> CommandLine "";
> CommandLine::AsString "apt-config dump";
> 
> -- (no /etc/apt/preferences present) --
> 
> 
> -- /etc/apt/sources.list --
> 
> # deb cdrom:[Debian GNU/Linux testing _Etch_ - Official Snapshot i386 Binary-1 (20060717)]/ etch contrib main
> 
> # the main Debian packages.
> 
> # deb http://debian.mirrors.tds.net/debian/ lenny main contrib
> # deb http://ftp.uwsg.indiana.edu/linux/debian/ etch main
> # deb http://http.us.debian.org/debian etch main contrib non-free
> # deb http://ftp.uwsg.indiana.edu/linux/debian/ sarge contrib
> # deb cdrom:[Debian GNU/Linux 5.0.5 Update DVD 20100627: i386 DVD 1]/ lenny contrib main non-free
> # deb http://ftp.uwsg.indiana.edu/linux/debian/ squeeze main contrib non-free
> # deb http://ftp.uwsg.indiana.edu/linux/debian/ lenny main contrib non-free
> # deb http://debian.mirrors.tds.net/debian/ lenny main contrib non-free
> # deb http://debian.yorku.ca/debian/ lenny main contrib non-free
> 
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-2 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-7 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-5 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-6 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-4 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-3 20110205-17:27]/ squeeze contrib main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-8 20110205-17:27]/ squeeze main
> deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official i386 DVD Binary-1 20110205-17:27]/ squeeze contrib main
> # deb http://http.us.debian.org/debian/ squeeze main contrib non-free
> # deb http://debian.yorku.ca/debian/ sid main contrib non-free
> # deb http://debian.yorku.ca/debian/ sid main
> 
> # Uncomment the deb-src line if you want 'apt-get source'
> # to work with most packages.
> # regular Etch source:
> # deb-src http://debian.yorku.ca/debian/ etch main
> # deb-src http://debian.mirrors.tds.net/debian/ lenny main contrib non-free
> # deb-src http://ftp.uwsg.indiana.edu/linux/debian/ etch main contrib non-free
> # deb-src http://http.us.debian.org/debian etch main contrib non-free
> # deb-src http://debian.yorku.ca/debian/ unstable main contrib non-free
> # deb-src http://debian.yorku.ca/debian/ stable main contrib non-free
> # deb-src http://ftp.de.debian.org/debian/ sid main contrib non-free
> 
> # uncommenting the following line will enable security updates
> # deb http://security.debian.org/ etch/updates main contrib non-free
> # deb http://security.debian.org/ squeeze/updates main contrib non-free
> 
> # multimedia
> # deb http://www.debian-multimedia.org lenny main non-free
> deb ftp://mirror.csclub.uwaterloo.ca/debian-multimedia/ squeeze main non-free
> # deb ftp://mirror.csclub.uwaterloo.ca/debian-multimedia/ sid main non-free
> # deb-src ftp://mirror.csclub.uwaterloo.ca/debian-multimedia/ squeeze main
> 
> # cinelerra video editing
> deb http://www.kiberpipa.org/~minmax/cinelerra/builds/sid/ ./
> # deb-src http://www.kiberpipa.org/~minmax/cinelerra/builds/sid/ ./
> 
> 
> # opera
> # deb http://deb.opera.com/opera/ lenny non-free
> 
> # tovid
> deb http://tovid.sourceforge.net/download/debian stable contrib
> # deb-src http://tovid.sourceforge.net/download/debian stable contrib
> 
> # Official site for latest version of skype.
> # deb http://download.skype.com/linux/repos/debian/ stable non-free
> 
> # Quake2
> # deb ftp://www.markus-raab.org/apps ./
> 
> # ion3 backports does not seem to exist anymore
> # deb http://intrigeri.boum.org/debian/sonata etch main contrib non-free
> # deb http://intrigeri.boum.org/debian/ion3 etch main contrib non-free
> 
> # backports
> # deb http://www.backports.org/debian lenny-backports main contrib non-free
> # deb http://mirror.csclub.uwaterloo.ca/debian-backports lenny-backports main contrib non-free
> 
> # debian unofficial
> # deb http://unofficial.debian-maintainers.org/ lenny/backports main contrib non-free restricted
> # deb-src http://unofficial.debian-maintainers.org/ lenny/backports main contrib non-free restricted
> 
> # gcompris repository
> # deb http://thomas.pub.enix.org/debian/ stable main
> 
> # Google software repository
> # deb http://dl.google.com/linux/deb/ stable non-free
> 
> # latest clamav clamav-daemon and avscan for squeeze
> deb http://mirrors.kernel.org/debian squeeze-updates main contrib
> # deb-src http://mirrors.kernel.org/debian squeeze-updates main contrib
> 
> # Samsung Unified Linux Driver
> # deb http://www.bchemnet.com/suldr/ debian extra
> 
> # Freemind
> deb http://eric.lavar.de/comp/linux/debian/ unstable/
> # deb-src http://eric.lavar.de/comp/linux/debian/ unstable/
> 
> # xmms
> # deb http://www.pvv.ntnu.no/~knuta/xmms/lenny ./
> # deb-src http://www.pvv.ntnu.no/~knuta/xmms/lenny ./
> 
> ### Hag GNU/Linux Repository - Hag related packages
> # deb http://hag-linux.eu.org/deb/ hag main contrib non-free
> # deb-src http://hag-linux.eu.org/deb/ hag main contrib non-free
> 
> # Lenny and a Half, for newer drivers
> # deb ftp://ftp.debian.org/debian lenny-proposed-updates main
> # deb http://debian.yorku.ca/debian/ lenny-proposed-updates main contrib non-free
> 
> # test for woody
> # deb http://archive.debian.org/debian etch main
> 
> # experimental
> # deb http://ftp.debian.org/debian experimental main
> 
> # for rox desktop
> # deb ftp://ftp.berlios.de/pub/rox4debian binary/
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> -- System Information:
> Debian Release: 6.0
>   APT prefers squeeze-updates
>   APT policy: (500, 'squeeze-updates')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
> Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages apt depends on:
> ii  debian-archive-keyring  2010.08.28       GnuPG archive keys of the Debian a
> ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
> ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
> ii  libgcc1                 1:4.4.5-8        GCC support library
> ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
> ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime
> 
> apt recommends no packages.
> 
> Versions of packages apt suggests:
> pn  apt-doc                     <none>       (no description available)
> ii  aptitude                    0.6.3-3.2    terminal-based package manager (te
> ii  bzip2                       1.0.5-6      high-quality block-sorting file co
> ii  dpkg-dev                    1.15.8.10    Debian package development tools
> ii  lzma                        4.43-14      Compression method of 7z format in
> ii  python-apt                  0.7.100.1    Python interface to libapt-pkg
> ii  synaptic                    0.70~pre1+b1 Graphical package manager
> 
> -- no debconf information
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to deity-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20110309004002.10339.7480.reportbug@debian.example.com
> 




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Fri, 11 Mar 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 11 Mar 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 614300@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Michael Vogt <mvo@debian.org>
Cc: 614300@bugs.debian.org, 614300-submitter@bugs.debian.org
Subject: Re: Bug#614300: apt: "apt-get update" requests to insert DVDs listed in /etc/apt/sources.list
Date: Fri, 11 Mar 2011 21:50:04 +0100
[Message part 1 (text/plain, inline)]
tags 614300 + patch
stop

On 11.03.11 Michael Vogt (mvo@debian.org) wrote:
> On Sun, Feb 20, 2011 at 10:55:21PM +0100, Hilmar Preusse wrote:

Hi,

> Thanks for your bugreport.
>  
> > recently I upgraded my system from Debian lenny to Debian
> > squeeze.  Since then every "apt-get update" run requests me to
> > insert all 8 DVDs listed in sources.list.  This is very annoying,
> > it would be nice if this could be fixed in a point release.
> 
> Could you please try the attached patch? That should fix the problem. 
> 
It does -> tagging.

Now it tells me that the DVD sources are ignored, for every DVD a few
times, but at least it doesn't request me to insert them. Screen
output is attached.

Thanks,
  Hilmar
-- 
sigmentation fault
[apt-get_update.txt.gz (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Fri, 11 Mar 2011 20:51:05 GMT) Full text and rfc822 format available.

Message sent on to Hilmar Preusse <hille42@web.de>:
Bug#614300. (Fri, 11 Mar 2011 20:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Sat, 12 Mar 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dg135@torfree.net:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 12 Mar 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 614300@bugs.debian.org (full text, mbox):

From: dg135@torfree.net
To: "Michael Vogt" <mvo@debian.org>
Cc: 614300@bugs.debian.org
Subject: Re: Bug#614300: /usr/bin/apt-get: same -- apt-get update requires all listed DVDs in sources.list to be rescanned
Date: Fri, 11 Mar 2011 21:47:58 -0500
On Fri, 11 Mar 2011 11:54:57 +0100
Michael Vogt <mvo@debian.org> wrote:

> On Tue, Mar 08, 2011 at 07:40:02PM -0500, Mark Grieveson wrote:
> > Package: apt
> > Version: 0.8.10.3
> > Severity: normal
> > File: /usr/bin/apt-get  Thanks for your bugreport.
>  > After upgrading to Squeeze from Lenny, "apt-get update" requires
> > all listed DVDs (all eight of 'em) to be rescanned.  This was  
> reported in Bug #614300 as well, I attached a patch there
> that should fix the issue. If you could give it a go, that would be
> much appricated.
>
> Cheers,
>  Michael

Thank you Michael.  I went and got the apt-cdrom-fix.diff file, but  
unfortunately I'm not sure what to do with it.

Mark




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Sat, 12 Mar 2011 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dg135@torfree.net:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 12 Mar 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 614300@bugs.debian.org (full text, mbox):

From: dg135@torfree.net
To: 614300@bugs.debian.org
Cc: "Michael Vogt" <mvo@debian.org>
Subject: /usr/bin/apt-get: same -- apt-get update requires all listed DVDs in sources.list to be rescanned
Date: Sat, 12 Mar 2011 11:56:29 -0500
I tried the patch file, but got the following result:

debian:/home/mark/stuff/upgrade_notes# patch < apt-cdrom-fix.diff
patching file acquire-item.cc
Hunk #1 FAILED at 861.
1 out of 1 hunk FAILED -- saving rejects to file acquire-item.cc.rej
debian:/home/mark/stuff/upgrade_notes#




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#614300; Package apt. (Wed, 16 Mar 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dg135@torfree.net:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 16 Mar 2011 03:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 614300@bugs.debian.org (full text, mbox):

From: dg135@torfree.net
To: 614300@bugs.debian.org
Cc: mvo@debian.org
Subject: Re: /usr/bin/apt-get: same -- apt-get update requires all listed DVDs in sources.list to be rescanned
Date: Tue, 15 Mar 2011 23:18:37 -0400
Someone on the linuxquestions.org forum did let me know that patches  
are to be applied to source files.  So, I enable deb-src repository,  
got the source, applied the patch, created the deb file, installed it,  
and now I can update without having to insert all eight DVDs for  
rescanning. I'm glad that irritation is gone.

Thanks for your work on this.




Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Mon, 11 Apr 2011 13:35:53 GMT) Full text and rfc822 format available.

Notification sent to Hilmar Preusse <hille42@web.de>:
Bug acknowledged by developer. (Mon, 11 Apr 2011 13:36:02 GMT) Full text and rfc822 format available.

Message #50 received at 614300-close@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 614300-close@bugs.debian.org
Subject: Re: Bug#614300: /usr/bin/apt-get: same -- apt-get update requires all listed DVDs in sources.list to be rescanned
Date: Mon, 11 Apr 2011 15:32:28 +0200
[Message part 1 (text/plain, inline)]
Source: apt
Source-Version: 0.8.13

apt (0.8.13) unstable; urgency=low

  [ Thorsten Spindler ]
  * methods/rsh.cc
    - fix rsh/ssh option parsing (LP: #678080), thanks to
      Ville Mattila

  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - mark pkgAcqIndexTrans as Index-File to avoid asking the
      user to insert the CD on each apt-get update
  * po/sl.po:
    - updated, thanks to Andrej Znidarsic
  * mirror method:
    - when downloading data, show the mirror being used
    - randomize mirror list after download in a host specific way
      to ensure that the load is evenly spreaded accross the mirrors
    - fix some missing "Fail-Ignore"

 -- Michael Vogt <mvo@debian.org>  Wed, 16 Mar 2011 08:04:42 +0100


-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 15 Apr 2011 20:06:05 GMT) Full text and rfc822 format available.

Notification sent to Hilmar Preusse <hille42@web.de>:
Bug acknowledged by developer. (Fri, 15 Apr 2011 20:06:05 GMT) Full text and rfc822 format available.

Message #55 received at 614300-close@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 614300-close@bugs.debian.org
Subject: Bug#614300: fixed in apt 0.8.10.3+squeeze1
Date: Fri, 15 Apr 2011 20:02:36 +0000
Source: apt
Source-Version: 0.8.10.3+squeeze1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.8.10.3+squeeze1_all.deb
  to main/a/apt/apt-doc_0.8.10.3+squeeze1_all.deb
apt-transport-https_0.8.10.3+squeeze1_amd64.deb
  to main/a/apt/apt-transport-https_0.8.10.3+squeeze1_amd64.deb
apt-utils_0.8.10.3+squeeze1_amd64.deb
  to main/a/apt/apt-utils_0.8.10.3+squeeze1_amd64.deb
apt_0.8.10.3+squeeze1.dsc
  to main/a/apt/apt_0.8.10.3+squeeze1.dsc
apt_0.8.10.3+squeeze1.tar.gz
  to main/a/apt/apt_0.8.10.3+squeeze1.tar.gz
apt_0.8.10.3+squeeze1_amd64.deb
  to main/a/apt/apt_0.8.10.3+squeeze1_amd64.deb
libapt-pkg-dev_0.8.10.3+squeeze1_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.8.10.3+squeeze1_amd64.deb
libapt-pkg-doc_0.8.10.3+squeeze1_all.deb
  to main/a/apt/libapt-pkg-doc_0.8.10.3+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614300@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Andres Klode <jak@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 15 Apr 2011 09:23:08 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.8.10.3+squeeze1
Distribution: stable
Urgency: low
Maintainer: jak@debian.org
Changed-By: Julian Andres Klode <jak@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 612986 613689 614300
Changes: 
 apt (0.8.10.3+squeeze1) stable; urgency=low
 .
   [ Michael Vogt ]
   * debian/control:
     - make Vcs-Bzr point to http://bzr.debian.org/apt/apt/debian-squeeze
       branch
   * apt-pkg/acquire-item.cc:
     - mark pkgAcqIndexTrans as Index-File to avoid asking the
       user to insert the CD on each apt-get update, closes: #614300
 .
   [ Christian Perrier ]
   * Fix error in French translation of manpages (apt_preferences(5)).
     Merci, Rémi Vanicat. Closes: #613689
 .
   [ David Kalnischkies ]
   * apt-pkg/contrib/fileutl.cc:
     - reorder the loaded filesize bytes for big endian (Closes: #612986)
       Thanks to Jörg Sommer for the detailed analyse!
   * ftparchive/multicompress.cc, apt-inst/deb/debfile.cc:
     - support xz compressor to create xz-compressed Indexes and be able
       to open data.tar.xz files
   * ftparchive/writer.cc:
     - include xz-compressed Packages and Sources files in Release file
   * apt-pkg/deb/debsrcrecords.cc:
     - support xz-compressed source v3 debian.tar files
Checksums-Sha1: 
 607b00ae25db5a9f99df3452e4fd5930bb0de87d 1356 apt_0.8.10.3+squeeze1.dsc
 1039d7989ceec5651214cfc13b8f092716a535d8 3146506 apt_0.8.10.3+squeeze1.tar.gz
 80a51ae4ddeda065460600c72c6ac2d64d3354ad 224924 apt-doc_0.8.10.3+squeeze1_all.deb
 450a8a3b758c2176e03c1b0cf22c5063123fabd6 595078 libapt-pkg-doc_0.8.10.3+squeeze1_all.deb
 acce33d1c53c2c8a52a40dc0b3197423d28b9be0 2174418 apt_0.8.10.3+squeeze1_amd64.deb
 e8d75389e72ad7c0580c09f0a837a20191ce7fd6 148756 libapt-pkg-dev_0.8.10.3+squeeze1_amd64.deb
 e9104b027809743271b865834fe8a8f8c0bc0a49 272820 apt-utils_0.8.10.3+squeeze1_amd64.deb
 6a7ef023a13519960af4c22c232788c9b1ad2679 83454 apt-transport-https_0.8.10.3+squeeze1_amd64.deb
Checksums-Sha256: 
 f75250f9144df2bffd8cef69c963e6e67a5cb8293e7e7de7dff018d16816f242 1356 apt_0.8.10.3+squeeze1.dsc
 71fc7ff15fda50f16c9d73f701adf3bd67c9803a2304cd3d82cb490d76d3c3b3 3146506 apt_0.8.10.3+squeeze1.tar.gz
 d2f03eabfdc6884dffd7c5168d86cf4732635310322cedd992fdd7616dcf4e54 224924 apt-doc_0.8.10.3+squeeze1_all.deb
 1ecaecc8c880265eb0cae0fefc9c7e036d74e99674ae635bc2040e1a3193ad7c 595078 libapt-pkg-doc_0.8.10.3+squeeze1_all.deb
 c4e9315bb037be6427e7707bf7d7f2f120c1352afe81c5bc4af620f13db5860d 2174418 apt_0.8.10.3+squeeze1_amd64.deb
 9bd2253a37365a4e0bff2da7401969bc674b4f6f7e48c4512c4e57541f2c6a24 148756 libapt-pkg-dev_0.8.10.3+squeeze1_amd64.deb
 f6b2bb8f38ea05ba52983e5f50221d588a54f2cf93d30bb37ef67e4c1996c726 272820 apt-utils_0.8.10.3+squeeze1_amd64.deb
 ffec91eec78c441554eeeefcf1e398db7328999011a385cfe2999f639c89a4bb 83454 apt-transport-https_0.8.10.3+squeeze1_amd64.deb
Files: 
 f14da81bead1a7fa1a5950d7a9795d9d 1356 admin important apt_0.8.10.3+squeeze1.dsc
 3f86f4eff53c94b7f285b3c59eb89754 3146506 admin important apt_0.8.10.3+squeeze1.tar.gz
 bfc9f97a5c6b9f737c9c97b74220c532 224924 doc optional apt-doc_0.8.10.3+squeeze1_all.deb
 80a9cfe0d01e10deed1a3abdb67f6f64 595078 doc optional libapt-pkg-doc_0.8.10.3+squeeze1_all.deb
 8c711202632ceb8f7cd0589634d2d292 2174418 admin important apt_0.8.10.3+squeeze1_amd64.deb
 ab8113fc770cdb9c4a555dc269adde0a 148756 libdevel optional libapt-pkg-dev_0.8.10.3+squeeze1_amd64.deb
 2498a06efee19af3f11f9846d899220b 272820 admin important apt-utils_0.8.10.3+squeeze1_amd64.deb
 b06268426f862e65b0e62aff8617db00 83454 admin optional apt-transport-https_0.8.10.3+squeeze1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREDAAYFAk2n9rIACgkQrCpf/gCCPsKquwCeIqc4VX32LsqPWQTCn2x0XvlO
7CcAn2OhObOWnrrZmJIo+PKSeBJ/H/nD
=ZU27
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 May 2011 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:00:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.